Bug 739183 - Old file contents not displaying in "scenario #7"
Summary: Old file contents not displaying in "scenario #7"
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: drift   
(Show other bugs)
Version: 4.1
Hardware: Unspecified Unspecified
high
medium vote
Target Milestone: ---
: ---
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 707225
TreeView+ depends on / blocked
 
Reported: 2011-09-16 17:42 UTC by Mike Foley
Modified: 2012-02-07 19:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 19:24:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
scenario7 (42.81 KB, image/png)
2011-09-16 17:42 UTC, Mike Foley
no flags Details
Agent log (69.15 KB, application/octet-stream)
2011-09-16 17:47 UTC, Mike Foley
no flags Details

Description Mike Foley 2011-09-16 17:42:52 UTC
Created attachment 523592 [details]
scenario7

Description of problem:  Old file contents not displaying in scenario #7.  


Version-Release number of selected component (if applicable):



Steps to Reproduce:
1.  There is a network partition.  My configuration was server on Linux, and agent on my PC ...connected by wifi.
2.  I created a Drift configuration ...filesystem ... to a dirrectory on the PC
2.  I simulated network failure (I turned wifi off)
3.  I edit'd an existing file in the directory being watched by drift
4.  I turned wifi back on
5.  Drift changeset occurs correctly.
6.  Minor issue is that on the detail page, the old file says "File Not Ready For Viewing"  (see attachment)
  
Actual results:
Contents of old file cannot be viewed

Expected results:
Contents of old file can be viewed

Additional info:  attachment

Comment 1 Mike Foley 2011-09-16 17:47:17 UTC
Created attachment 523593 [details]
Agent log

Comment 2 John Sanda 2011-10-04 18:22:26 UTC
Added support for resending content.

commit hash: 339d435bb20f550567ec68d87eeb2fbb8171a98b

from the commit log...

    Server now sends acknowledgement to agent when change set content is persisted
    
    This commit adds some error handling around sending change set content
    from agent to server. Previously, if the server failed to receive or
    persist content, the agent would never know. Now the server sends an
    explicit ackowledgement.
    
    In a future commit, I will add support for resending content during
    inventory sync for anything that has not been acked.


and the commit that adds logic for resending content during inventory sync,

commit hash: 0f67cf2bd3aa8aa9d54abdfbda3c0002dc9f23ba

Comment 3 Mike Foley 2011-10-04 21:13:16 UTC
verified 10/4/2011

Comment 4 Mike Foley 2012-02-07 19:24:40 UTC
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE


Note You need to log in before you can comment on or make changes to this bug.